4Suite™ API Documentation

# ► Module Ft.Server.Client.MessageSource

Provides tools for generating system messages

Classes: Error |  |  |  | Fields: g_errorMessages

## Classes

class Error

### Fields

BROKEN_ALIAS = 30
CONFIG_FILE_MISSING = 14
CONFIG_INVALID_CORE_ID = 15
CONFIG_INVALID_REPOSITORY = 16
CONFIG_MISSING_PROPERTY = 11
CONFIG_NOT_FOUND = 10
INVALID_ACL_IDENT = 33
INVALID_LOGIN = 22
INVALID_PATH = 20
INVALID_XML = 60
NOT_SUPPORTED = 51
OBJECT_DELETED = 31
PATH_EXISTS = 23
PERMISSION_DENIED = 32
SWISH_NOT_SUPPORTED = 200
UNKNOWN_DRIVER_ERROR = 17
UNKNOWN_PATH = 21
UNKNOWN_RESOURCE_TYPE = 24
UNKNOWN_SERVER = 50
UNKNOWN_VALIDATION_TYPE = 70
VALIDATION_ERROR = 100
XML_PARSE_EXCEPTION = 40
XSLT_PARSE_EXCEPTION = 41

## Fields

g_errorMessages = {10: 'Unable to find configuration file. Please FTSERVER_CONFIG_FILE in your environment.', 11: 'Missing required configuration property %(property)s. Please specify in the configuration file', 14: 'Unable to find configuration file %(file)s.', 15: "Invalid Core ID '%(name)s'. Make sure config file has rdf:ID and correct namespace on Core element.", 16: 'Core from %(configFileName)s ID: %(coreId)s eith... Please see 4ss_manager init --help for details..', 17: 'Driver Type %(driver)s is unknown.', 20: 'Path %(path)s is not of type %(type)s', 21: 'Path %(path)s is unknown', 22: 'Invalid Login', 23: 'Path %(path)s is already in the repository', ...}